import React from 'react';
export declare type FormItem = {
    key: string;
    filterAlias?: string;
    filterDisabled?: boolean;
    label: string;
    type?: string;
    meta?: {
        url: string;
        method: string;
        data?: {
            value: string;
            label: string;
        }[];
    };
};
interface IProps {
    style?: React.CSSProperties;
    className?: string;
    items: (FormItem[]);
    meta: {
        url: string;
        method: string;
        filter?: string;
        modal?: string;
    };
    pageKey: string;
    formKey: string;
}
declare function _Form(props: IProps): JSX.Element;
export declare const Form: React.MemoExoticComponent<typeof _Form>;
export {};
